=== debian/control ===
Source: ros-humble-as2-python-api
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pydantic, python3-pymap3d, python3-pytest <!nocheck>, ros-humble-action-msgs, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-as2-motion-reference-handlers, ros-humble-as2-msgs, ros-humble-geographic-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-std-srvs, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-python-api
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-pydantic, python3-pymap3d, ros-humble-action-msgs, ros-humble-as2-motion-reference-handlers, ros-humble-as2-msgs, ros-humble-geographic-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: AeroStack2 drone interface tool in python
