## ros-humble-as2-python-api 1.1.2

=== debian/changelog ===
ros-humble-as2-python-api (1.1.2-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-as2-python-api (1.1.1-1bookworm) bookworm; urgency=high

  * [as2_python_api] License fix using ament copyright
  * Contributors: Rafael Perez-Segui, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Aug 2024 16:00:00 -0000

ros-humble-as2-python-api (1.1.0-1bookworm) bookworm; urgency=high

  * [as2_python_api] Deactivating drone interface tests
  * [as2_python_api] Rename tests folder name
  * [as2_python_api] Ament_lint compliance
  * [as2_python_api] Return bool service response when using ServiceBoolHandler (arm, offboard and manual)
  * [as2_python_api] Fix using spin rate as a rate and not as an time interval
  * [as2_python_api] Added class argument spin rate
  * [as2_python_api] New navigate to behavior and module
  * [as2_python_api] Behavior Status updated after call methods correctly
  * [as2_python_api] ament lint auto compliance
  * [as2_python_api] Add goal accepted/rejected return when call behavior method
  * [as2_python_api] Continue using Pydantic V1
  * Contributors: Miguel Fernandez-Cortizas, Rafael Perez-Segui, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 07 Aug 2024 16:00:00 -0000

ros-humble-as2-python-api (1.0.9-1bookworm) bookworm; urgency=high

  * added try except in deserialize method
  * Added feedback to rtl module
  * Add init files to missing subpkgs
  * New RTL module
  * Point Gimbal behavior client
  * Add topic namespace with argument in mission interpreter
  * Contributors: Javier Melero, Javilinos, Miguel Fernandez-Cortizas, Rafael Perez-Segui, Rafael Pérez, cvar-developers, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-python-api (1.0.8-1bookworm) bookworm; urgency=high

  * [as2_python_api] Jenkins test fail: searching for module first at modules folder and hook as2_modules_path fix
  * Contributors: pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-python-api (1.0.7-1bookworm) bookworm; urgency=high

  * Moving test files to test folder
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-python-api (1.0.6-1bookworm) bookworm; urgency=high

  * Specifying subdirectories in setup.py
  * Takeoff and GoTo behavior renaming
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-python-api (1.0.5-1bookworm) bookworm; urgency=high

  * Load modules from project path for mission interpreter
  * Improve MissionUpdate message
  * Contributors: Javilinos, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-python-api (1.0.4-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-python-api (1.0.3-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-python-api (1.0.2-1bookworm) bookworm; urgency=high

  * Merge pull request #310 <https://github.com/aerostack2/aerostack2/issues/310> from aerostack2/executor_fixes
    Some Mission Control fixes
  * Merge pull request #309 <https://github.com/aerostack2/aerostack2/issues/309> from aerostack2/mop_channel
    [as2_platform_dji_osdk] Mop channel communication
  * Multiple commits
  * Merge pull request #301 <https://github.com/aerostack2/aerostack2/issues/301> from aerostack2/257-mission-monitoring
    Mission executor
  * catching execption if goal rejected while running behavior
  * adding temporary abort mission
  * added ros2_adapter node
  * get mission item module
  * feedback in interpreter status
  * Merge pull request #286 <https://github.com/aerostack2/aerostack2/issues/286> from aerostack2/285-fix_python_list_type
    Changed typing list to List
  * changed list to List
  * Remove feedback serialization
  * Merge pull request #273 <https://github.com/aerostack2/aerostack2/issues/273> from aerostack2/272-add_reference_facing_mode_to_follow_reference
    follow reference with reference facing added
  * add follow reference with new yaw mode
  * added feedback
  * Mission default to None
  * follow reference with reference facing added
  * Merge pull request #268 <https://github.com/aerostack2/aerostack2/issues/268> from aerostack2/fix_follow_path_with_reference
    follow path frame bug fixed, frame id argument added to python interface
  * follow path frame bug fixed, frame id argument added to python interface
  * Merge pull request #267 <https://github.com/aerostack2/aerostack2/issues/267> from aerostack2/add_frame_id_argument_to_simplifications
    added frame_id argument to go_to
  * Multiple commits
  * Merge pull request #258 <https://github.com/aerostack2/aerostack2/issues/258> from rdasilva01/187-mission-interpreter
    [as2_python_api] Mission updates: reset, append and insert
  * Merge pull request #233 <https://github.com/aerostack2/aerostack2/issues/233> from aerostack2/187-mission-interpreter
    [as2_python_api] Mission interpreter
  * Multiple commits
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, Rodrigo Da Silva, pariaspe, rdasilva01

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-python-api (1.0.1-1bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #220 <https://github.com/aerostack2/aerostack2/issues/220> from aerostack2/219-as2_python_api-multi-frame-goto-behavior
    Multi-frame goto
  * multi-frame goto
